<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Box model</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }
        #div1 {
            background: darkmagenta;
            width: 100px;
            height: 50px;
            border: 20px solid lightgrey;
            padding: 10px;
            margin: 10px;
            display: inline-block;
        }
        #div2 {
            background: darkslategrey;
            width: 100px;
            height: 50px;
            display: inline-block;
        }
        /* #div3 {
            display: inline;
        } */
    </style>
</head>
<body>
    <div id="div1">1</div>
    <div id="div2">2</div>
    <span id="div3">3</span>
</body>
</html>